Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167216 - NullPointerException at org.netbeans.modules.editor.hints.HintsUI.showPopup
NullPointerException at org.netbeans.modules.editor.hints.HintsUI.showPopup
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Hints
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Max Sauer
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on:
Blocks: 167217
  Show dependency treegraph
 
Reported: 2009-06-17 11:19 UTC by Martin Entlicher
Modified: 2009-07-16 16:59 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.17 KB, text/plain)
2009-06-17 11:19 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2009-06-17 11:19:43 UTC
Build: NetBeans IDE Dev (Build 090521)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.22-14-generic, i386

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.hints.HintsUI.showPopup(HintsUI.java:310)
        at org.netbeans.modules.editor.hints.HintsUI.invokeDefaultAction(HintsUI.java:497)
        at org.netbeans.modules.editor.hints.FixAction.actionPerformed(FixAction.java:64)
        at org.netbeans.modules.java.editor.overridden.IsOverriddenAnnotationAction.actionPerformed(IsOverriddenAnnotationAction.java:91)
        at org.netbeans.editor.GlyphGutter$GutterMouseListener.mouseClicked(GlyphGutter.java:755)
        at java.awt.AWTEventMulticaster.mouseClicked(AWTEventMulticaster.java:252)
Comment 1 Martin Entlicher 2009-06-17 11:19:50 UTC
Created attachment 83685 [details]
stacktrace
Comment 2 Max Sauer 2009-06-17 14:42:18 UTC
Fixed.
---
http://hg.netbeans.org/jet-main/rev/485c2d7c367c
Comment 3 Quality Engineering 2009-06-18 06:58:23 UTC
Integrated into 'main-golden', will be available in build *200906180201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/485c2d7c367c
User: Max Sauer <msauer@netbeans.org>
Log: #167216: NPE at o.n.m.editor.hints.HintsUI.showPopup
Comment 4 Petr Blaha 2009-07-02 13:30:31 UTC
verified in the latest trunk build.
Comment 5 pgebauer 2009-07-07 14:45:25 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/956767dee16d
Comment 6 Jiri Prox 2009-07-16 16:59:04 UTC
v in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo